VehicleSetup.WheelAndTire

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehicleSetup.WheelAndTire

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehicleSetup.WheelAndTire

Enclosing class:
  VehicleSetup

    public static class VehicleSetup.WheelAndTire

extends java.lang.Object

Model of the wheel and tire part of the setup

Author:
  Marvin Froehlich

Method Summary
`float` | `getBrakeDiscThickness()` brake disc thickness in the units selected in the PLR.
`float` | `getBrakeDiscThicknessIn()` brake disc thickness in inch FRONTLEFT::BrakeDiscSetting=5//2.8 cm
`float` | `getBrakeDiscThicknessM()` brake disc thickness in meters FRONTLEFT::BrakeDiscSetting=5//2.8 cm
`float` | `getTirePressure()` Gets initial tire pressure in the units selected in the PLR.
`float` | `getTirePressureKPa()` tire pressure in kPa FRONTLEFT::PressureSetting=25//120 kPa
`float` | `getTirePressurePSI()` tire pressure in PSI.
`Wheel` | `getWheel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWheel

    public final Wheel getWheel()

### getTirePressureKPa

    public final float getTirePressureKPa()

  tire pressure in kPa FRONTLEFT::PressureSetting=25//120 kPa

  Returns:
    the initial tire pressure at mount time and room temperature in kPa.
  See Also:
    `VehiclePhysics.getTirePressureRange(Wheel)`

### getTirePressurePSI

    public final float getTirePressurePSI()

  tire pressure in PSI. FRONTLEFT::PressureSetting=25//120 kPa

  Returns:
    the initial tire pressure at mount time and room temperature in PSI.
  See Also:
    `VehiclePhysics.getTirePressureRange(Wheel)`

### getTirePressure

    public final float getTirePressure()

  Gets initial tire pressure in the units selected in the PLR. FRONTLEFT::PressureSetting=25//120 kPa

  Returns:
    the initial tire pressure at mount time and room temperature in the selected units.
  See Also:
    `VehiclePhysics.getTirePressureRange(Wheel)`

### getBrakeDiscThicknessM

    public final float getBrakeDiscThicknessM()

  brake disc thickness in meters FRONTLEFT::BrakeDiscSetting=5//2.8 cm

  Returns:
    the thickness of the brake disc in meters.
  See Also:
    `VehiclePhysics.Brakes.WheelBrake.getDiscRange()`

### getBrakeDiscThicknessIn

    public final float getBrakeDiscThicknessIn()

  brake disc thickness in inch FRONTLEFT::BrakeDiscSetting=5//2.8 cm

  Returns:
    the thickness of the brake disc in inch.
  See Also:
    `VehiclePhysics.Brakes.WheelBrake.getDiscRange()`

### getBrakeDiscThickness

    public final float getBrakeDiscThickness()

  brake disc thickness in the units selected in the PLR. FRONTLEFT::BrakeDiscSetting=5//2.8 cm

  Returns:
    the thickness of the brake disc in the selected units.
  See Also:
    `VehiclePhysics.Brakes.WheelBrake.getDiscRange()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD